<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="#ffffff"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">

            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:textAllCaps="true"
                android:textColor="@color/btn_bg_color"
                android:textSize="18sp"
                android:textStyle="bold" />

        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="1"
        android:orientation="vertical">

        <TextView
            android:id="@+id/dateTime"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:background="@color/material_grey500"
            android:gravity="center|start"
            android:paddingStart="15dp"
            android:paddingEnd="15dp"
            android:text="14-Apr-2020, 03:30 PM to 04:00 PM"
            android:textAllCaps="false"
            android:textColor="@color/material_white"
            android:textSize="14sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/llout_region"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="5dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="Regional Manager"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <com.cygnusa.hyperm.util.MultiSelectSpinner
                    android:id="@+id/regionSpinner"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@android:color/transparent"
                    android:gravity="start" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llout_am"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="5dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="Area Manager"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <com.cygnusa.hyperm.util.MultiSelectSpinner
                    android:id="@+id/areaSpinner"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@android:color/transparent"
                    android:gravity="start" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/material_grey300" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/llout_dealer"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="5dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="Dealer"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <com.cygnusa.hyperm.util.MultiSelectSpinner
                    android:id="@+id/dealerSpinner"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@android:color/transparent"
                    android:gravity="start" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="5dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="DSE"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <com.cygnusa.hyperm.util.MultiSelectSpinner
                    android:id="@+id/dseSpinner"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@android:color/transparent"
                    android:gravity="start" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/material_grey300" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:layout_marginTop="8dp"
            android:text="Others"
            android:textColor="#0f2e42"
            android:textSize="13sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="5dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="Zonal Manager"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <com.cygnusa.hyperm.util.MultiSelectSpinner
                    android:id="@+id/zonalSpinnerSelection"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@android:color/transparent"
                    android:gravity="start" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/material_grey300" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="5dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="Regional Manager"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <com.cygnusa.hyperm.util.MultiSelectSpinner
                    android:id="@+id/regionSpinnerSelection"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@android:color/transparent"
                    android:gravity="start" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/material_grey300" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="5dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="Area Manager"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <com.cygnusa.hyperm.util.MultiSelectSpinner
                    android:id="@+id/areaSpinnerSelection"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@android:color/transparent"
                    android:gravity="start" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/participantllout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="visible">

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/material_grey300" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:layout_marginTop="8dp"
            android:text="DSE Participants"
            android:textColor="#0f2e42"
            android:textSize="13sp"
            android:textStyle="bold" />

        <GridView
            android:id="@+id/participantList"
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:numColumns="2"
            android:padding="5dp"
            android:stretchMode="columnWidth"
            android:nestedScrollingEnabled="true"/>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/participantlloutzm"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="gone">

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="8dp"
                android:text="Zonal Manager Participants"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <GridView
                android:id="@+id/zmparticipantList"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:numColumns="2"
                android:padding="5dp"
                android:stretchMode="columnWidth"
                android:nestedScrollingEnabled="true"/>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/participantlloutrm"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="gone">

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="8dp"
                android:text="Regional Manager Participants"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <GridView
                android:id="@+id/rmparticipantList"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:numColumns="2"
                android:padding="5dp"
                android:stretchMode="columnWidth"
                android:nestedScrollingEnabled="true"/>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/participantlloutam"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="gone">

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="8dp"
                android:text="Area Manager Participants"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <GridView
                android:id="@+id/amparticipantList"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:numColumns="2"
                android:padding="5dp"
                android:stretchMode="columnWidth"
                android:nestedScrollingEnabled="true"/>

        </LinearLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <Button
                android:id="@+id/addParticipant"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="50dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="50dp"
                android:layout_marginBottom="10dp"
                android:background="@drawable/btn_login_shadow"
                android:text="Add Participant"
                android:textColor="@color/white" />

        </FrameLayout>

    </LinearLayout>

    </ScrollView>

</LinearLayout>
